[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AddHandlerOnBeforeDestruction

Adds or inserts the specified OnBeforeDestruction event handler.

## Declaration

Source position: controls.pp line 1773

`public procedure TControl.AddHandlerOnBeforeDestruction(`
`const OnBeforeDestructionEvent: TNotifyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnBeforeDestructionEvent` |  | TNotifyEvent handler routine added to the list of handlers for the chtOnBeforeDestruction handler type.
`AsFirst` |  | True if the routine is inserted as the first handler in the list of handlers. False if the routine is appended to the list.